{
  "name": "freelanceparis",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "build:scripts": "tsc scripts/*.ts --skipLibCheck --outDir scripts/build/",
    "build:ios:testflight:beta": "yarn build:scripts && node scripts/build/testflight.js mode:beta",
    "build:ios:testflight:prod": "yarn build:scripts && node scripts/build/testflight.js mode:production",
    "build:android:googleplay:internal": "yarn build:scripts && node scripts/build/google-play.js mode:production track:internal",
    "build:android:googleplay:alpha": "yarn build:scripts && node scripts/build/google-play.js mode:beta track:alpha",
    "build:android:googleplay:beta": "yarn build:scripts && node scripts/build/google-play.js mode:beta track:beta",
    "build:android:googleplay:prod": "yarn build:scripts && node scripts/build/google-play.js mode:production track:production",
    "start": "react-native start --reset-cache",
    "ios:inmemory": "ENVFILE=./configuration/env/.env.inmemory react-native run-ios",
    "ios:beta": "ENVFILE=./configuration/env/.env.beta react-native run-ios",
    "ios:prod": "ENVFILE=./configuration/env/.env.production react-native run-ios",
    "android:inmemory": "ENVFILE=./configuration/env/.env.inmemory react-native run-android",
    "android:beta": "ENVFILE=./configuration/env/.env.beta react-native run-android",
    "android:prod": "ENVFILE=./configuration/env/.env.production react-native run-android",
    "android:apk": "cd android && ENVFILE=./configuration/env/.env.production ./gradlew assembleRelease",
    "lint": "tslint --project tsconfig.json -e node_modules",
    "lint:fix": "tslint --project tsconfig.json --fix",
    "stryker": "rimraf .stryker-tmp && stryker run configuration/stryker.config.js",
    "test": "TZ=\"Europe/Paris\" jest --config configuration/jest.config.js"
  },
  "dependencies": {
    "date-fns": "2.0.0-alpha.25",
    "native-base": "2.11.0",
    "normalizr": "3.3.0",
    "ramda": "0.26.1",
    "react": "16.8.1",
    "react-native": "0.57.8",
    "react-native-config": "0.11.7",
    "react-native-datepicker": "1.7.2",
    "react-native-firebase": "5.2.2",
    "react-native-keyboard-aware-scroll-view": "0.8.0",
    "react-native-linkedin": "1.3.1",
    "react-native-modal": "7.0.2",
    "react-native-splash-screen": "3.2.0",
    "react-native-vector-icons": "6.2.0",
    "react-navigation": "2.18.2",
    "react-navigation-redux-helpers": "2.0.9",
    "react-redux": "5.1.1",
    "recompose": "0.30.0",
    "redux": "4.0.1",
    "redux-observable": "1.0.0",
    "reselect": "4.0.0",
    "rxjs": "6.4.0",
    "rxjs-compat": "6.4.0",
    "uuid": "3.3.2"
  },
  "devDependencies": {
    "@babel/core": "7.2.2",
    "@babel/preset-typescript": "7.1.0",
    "@types/enzyme": "3.1.17",
    "@types/jest": "24.0.0",
    "@types/lolex": "2.1.3",
    "@types/ramda": "0.25.48",
    "@types/react": "16.7.3",
    "@types/react-native": "0.57.34",
    "@types/react-native-datepicker": "1.7.0",
    "@types/react-native-vector-icons": "4.6.4",
    "@types/react-navigation": "3.0.1",
    "@types/react-redux": "7.0.1",
    "@types/recompose": "0.30.3",
    "@types/redux-logger": "3.0.6",
    "@types/remote-redux-devtools": "0.5.3",
    "@types/shelljs": "0.8.2",
    "@types/uuid": "3.4.4",
    "babel-core": "6.26.3",
    "babel-jest": "24.1.0",
    "enzyme": "3.8.0",
    "enzyme-adapter-react-16": "1.9.1",
    "enzyme-to-json": "3.3.5",
    "jest": "24.1.0",
    "jsdom": "13.2.0",
    "lolex": "3.0.0",
    "lorem-ipsum": "1.0.6",
    "metro-react-native-babel-preset": "0.51.1",
    "pre-commit": "1.2.2",
    "react-dom": "16.8.1",
    "react-native-mock-render": "0.1.2",
    "react-native-typescript-transformer": "1.2.11",
    "redux-immutable-state-invariant": "2.1.0",
    "redux-logger": "3.0.6",
    "remote-redux-devtools": "0.5.16",
    "rimraf": "2.6.3",
    "rxjs-tslint": "0.1.5",
    "shelljs": "0.8.3",
    "stryker": "0.35.0",
    "stryker-api": "0.24.0",
    "stryker-cli": "0.2.0",
    "stryker-html-reporter": "0.18.0",
    "stryker-jest-runner": "1.4.0",
    "stryker-typescript": "0.18.0",
    "ts-jest": "23.10.5",
    "tslint": "5.12.1",
    "tslint-clean-code": "0.2.9",
    "tslint-eslint-rules": "5.4.0",
    "tslint-immutable": "5.1.2",
    "tslint-react": "3.6.0",
    "typescript": "3.3.3",
    "typescript-optional": "2.0.1"
  },
  "pre-commit": [
    "lint",
    "test"
  ]
}
